<?php
header('Content-type: text/html; charset=windows-1251');
error_reporting(0);
session_start();
$u_login=$_SESSION['login'];
$time=time();
include('conf.php');
@mysql_query('set character_set_client="cp1251"');
@mysql_query('set character_set_results="cp1251"');
@mysql_query('set collation_connection="cp1251_general_ci"');


$dataq=mysql_query("SELECT * FROM data");
$d=mysql_fetch_row($dataq);

$d_users=$d[0];
$d_activ=$d[1];
$d_vklad=$d[2];
$d_vyvod=$d[3];
$d_screens_mode=$d[4];
$d_screens_count=$d[5];
$d_reviews_mode=$d[6];
$d_reviews_count=$d[7];
$d_plus=$d[8];
$d_plus= ($d_plus + $plus_balance);
$d_with=$d[9];
$d_with= ($d_with + $minus_balance);
$d_reinvest=$d[10];
$d_plus_n=$d[11];
$d_with_n=$d[12];
$d_new_u1=$d[13];
$d_new_u2=$d[14];

$free=$d_plus-$d_with-($d_plus*($d_com/100));


$b_plus_q=0;
$b_plus_b=0;
$b_withed=0;
$b_pended=0;
$b_refsum=0;
$b_refback=0;
$b_activ=0;
$b_earned=0;
$b_acta=0;
$b_tot=0;
$b_otn=0;

$depbtq=mysql_query("SELECT ologin,otype,osum,osum2,odate,odate2,operiod,oparts,ohours,opproc,oprofit,orefsum,orefback,obatch FROM operations WHERE (ologin='$u_login' AND osum>0 AND oback='') OR (oref='$u_login' AND osum>0  AND oback='')");
while($depbtm=mysql_fetch_row($depbtq)){

if($depbtm[0]!=$u_login && $depbtm[1]==3 && $depbtm[13]!=''){ $b_refsum+=$depbtm[11]; }

if($depbtm[0]==$u_login && $depbtm[1]==3 && $depbtm[13]!=''){ $b_plus_q+=$depbtm[3]; $b_refback+=$depbtm[12]; }
if($depbtm[0]==$u_login && $depbtm[1]==3 && $depbtm[13]==''){ $b_plus_b+=$depbtm[3]; }

if($depbtm[0]==$u_login && $depbtm[1]==2 && $depbtm[5]!=''){ $b_withed+=$depbtm[2]; }
if($depbtm[0]==$u_login && $depbtm[1]==2 && $depbtm[5]==''){ $b_pended+=$depbtm[2]; }

if($depbtm[0]==$u_login && $depbtm[1]==3 && $depbtm[4]>$time){
$b_activ+=$depbtm[3];
$b_acta++;
$b_col=floor(($time-$depbtm[5])/($depbtm[6]*3600));
$b_earned+=$b_col*$depbtm[10];
}

if($depbtm[0]==$u_login && $depbtm[1]==3 && $depbtm[4]<=$time){
$b_earned+=$depbtm[2];
$b_otn+=$depbtm[3];
}

}


$b_tot=$b_refsum+$b_refback+$b_plus_q+$b_earned-$b_otn-$b_withed-$b_pended-$b_activ;

$b_tot=number_format($b_tot,2,'.','');

if (isset($_POST['type']) && $_POST['type'] == 'withdrawal') {
#################################### Вывод средств BEGIN 
if( isset( $_POST['sum'] ) && isset( $_REQUEST['type_payments'] ) && trim( $_REQUEST['type_payments'] ) != '' ) { 

## Тип вывода 
$type_payments = trim( $_REQUEST['type_payments'] ); 

$sqli=mysql_query("SELECT wmr, yandex, payeer, advcash, qiwi FROM users WHERE login = '$u_login'");
## Проверяем есть ли указанный кошелек 
$check_method = mysql_fetch_assoc($sqli); 


if ( $type_payments == 'wm' ) { 
if ( trim( $check_method['wmr'] ) == '' ) { 
$w_style = 'style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Пожалуйста привяжите свой электронный кошелек PerfectMoney в разделе "<a style="cursor: pointer;" data-target=".bd-example-modal-lg" data-toggle="modal" class="alert-link">Настройки</a>".'; 
} 
} 

if ( $type_payments == 'card' ) { 
if ( trim( $check_method['card'] ) == '' ) { 
$w_style = 'style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Пожалуйста привяжите свою Банковскую карту VISA/MASTERCARD в разделе "<a style="cursor: pointer;" data-target=".bd-example-modal-lg" data-toggle="modal" class="alert-link">Настройки</a>".'; 
} 
} 

if ( $type_payments == 'advcash' ) { 
if ( trim( $check_method['advcash'] ) == '' ) { 
$w_style = 'style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Пожалуйста привяжите свой электронный кошелек AdvCash в разделе "<a style="cursor: pointer;" data-target=".bd-example-modal-lg" data-toggle="modal" class="alert-link">Настройки</a>".'; 
} 
} 

if ( $type_payments == 'qiwi' ) { 
if ( trim( $check_method['qiwi'] ) == '' ) { 
$w_style = 'style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Пожалуйста привяжите свой электронный кошелек QIWI wallet в разделе "<a style="cursor: pointer;" data-target=".bd-example-modal-lg" data-toggle="modal" class="alert-link">Настройки</a>".'; 
} 
} 

if ( $type_payments == 'yandex' ) { 
if ( trim( $check_method['yandex'] ) == '' ) { 
$w_style='style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Пожалуйста привяжите свой электронный кошелек ЯндексДеньги в разделе "<b>Настройки</b>"'; 
} 
} 

if ( $type_payments == 'payeer' ) { 
if ( trim( $check_method['payeer'] ) == '' ) { 
$w_style='style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Пожалуйста привяжите свой электронный кошелек Payeer в разделе "<a style="cursor: pointer;" data-target=".bd-example-modal-lg" data-toggle="modal" class="alert-link">Настройки</a>".'; 
} 
} 

$sum = $_POST['sum']; 
$sum = preg_replace("#[^0-9\.]+#",'',$sum); 
$sum = preg_replace("#\.+#",'.',$sum); 

if(empty($sum)) { 
$sum = 0; 
} 

$sum = number_format( $sum,2,'.','' ); 

if(!is_numeric($sum)) { 
$w_style='style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Была введена некорректно сумма вывода, повторите еще раз.'; 
} 

if( empty( $w_e ) && $sum < $d_wmin ) { 
$w_style='style="color: red;"';
$w_t='Ошибка операции'; 
$w_e='Минимальная сумма для вывода составляет '.$d_wmin.' рублей.'; 
} 

if(empty($w_e) && $sum>$d_wmax){ 
$w_style='style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='Максимальная сумма для вывода составляет '.$d_wmax.' рублей.'; 
} 

if(empty($w_e) && $sum>$b_tot){ 
$w_style='style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='На вашем балансе недостаточно средств.'; 
} 

if(empty($w_e) && $sum>$free){ 
$w_style='style="color: red;"'; 
$w_t='Ошибка операции'; 
$w_e='В проекте недостаточно средств для вывода.<br>Попробуйте вывести '.number_format($free,2,'.',''); 
} 

if(empty($w_e)){ 
// o_type - тип платежа 
mysql_query( "INSERT INTO operations (ologin,otype,osum,odate,o_type) VALUES ('$u_login','2','$sum','$time','$type_payments')") or die('error inserting withdrawl'); 

$w_s = 1;
$w_t = "Успешная операция";
$w_style = 'style="color: green;"'; 
$b_tot-=$sum; 
$b_pended+=$sum; 
} 
}
} 

#################################### Вывод средств END 

if($d_vyvod!=0){
	$w_t='Действие не доступно';
	$w_style='style="color: red;"';
	$w_e='Вывод средств временно не работает, ведутся технические работы!<br>Приносим свои извинения.'; 
} 

if(!empty($w_e)){ echo '

<div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="holder-text">
                    <div class="holder-img">
                        <img src="images/error.png" alt="img">
                    </div>
                    <span class="congratulate">'.$w_t.'</span>
                    <p>'.$w_e.' </p>
                    <a class="btn-ok" data-dismiss="modal" aria-label="Close" href="#">Ок</a>
                </div>
            </div>
        </div>
    </div>
 

'; 
} 

if($w_s == 1){ echo '
<div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="holder-text">
                    <div class="holder-img">
                        <img src="images/ook.png" alt="img">
                    </div>
                    <span class="congratulate">'.$w_t.'</span>
                    <p>Операция на вывод <b>'.$sum.' &#8381; </b>в процессе. <br>Ожидайте поступление средств</p>
                    <a class="btn-ok" data-dismiss="modal" aria-label="Close" href="#">Ок</a>
                </div>
            </div>
        </div>
    </div>

'; 
}



?>